from PIL import Image
import os

def convert_to_webp(input_path, output_path):
    try:
        # Open the image file
        img = Image.open(input_path).convert("RGB")
        
        # Save as WebP
        img.save(output_path, "webp")
        print(f"Converted {input_path} to {output_path}")
    except Exception as e:
        print(f"Error converting {input_path} to WebP: {e}")

# Example usage
input_folder = "images/"
output_folder = "images/"

# Ensure the output folder exists
os.makedirs(output_folder, exist_ok=True)

# Process each file in the input folder
for filename in os.listdir(input_folder):
    if filename.lower().endswith(('.webp', '.webp', '.jpeg')):
        input_file = os.path.join(input_folder, filename)
        output_file = os.path.join(output_folder, f"{os.path.splitext(filename)[0]}.webp")
        convert_to_webp(input_file, output_file)


# from PIL import Image

# # Open the PNG image
# img = Image.open("assets/about.webp")

# # Save as WebP
# img.save("assets/about.webp", "WEBP")
